<p align="center"><a target="_blank" href="https://www.lsdev.biz/lsx/extensions/wetu-importer/"><img src="https://www.lsdev.biz/lsx/wp-content/uploads/2020/09/lsx-importer-for-wetu-banner-1544x500-1.png" alt="Wetu Content Importer Extension"></a>
</p>

# Wetu Content Importer

**Version:** 1.5  
**Requires WordPress:** 6.7 or higher  
**Requires PHP:** 8.0 or higher

The Wetu Content Importer plugin integrates the [Wetu Tour Operator](https://wetu.com/) system with the [LSX Tour Operator](https://wordpress.org/plugins/tour-operator/) plugin, enabling you to import destinations, accommodations, and tours directly into your WordPress site. This ensures a cohesive and enriched travel content experience.

## Features

- **Seamless Integration:** Maps Wetu data to LSX Tour Operator fields, ensuring consistency and accuracy.
- **Gutenberg-Ready:** Display imported itineraries using WordPress's block editor, improving layout flexibility.
- **Performance-Focused:** Utilizes background processing to handle large imports without timeouts or slowdowns.
- **Up-to-Date Compatibility:** Requires WP 6.7+ and PHP 8.0+, ensuring a modern, secure, and performant environment.

## Requirements

- **WordPress:** 6.7 or higher
- **PHP:** 8.0 or higher
- **Required Plugin:** [LSX Tour Operator](https://wordpress.org/plugins/tour-operator/)

## Installation

1. Install and activate the [LSX Tour Operator](https://wordpress.org/plugins/tour-operator/) plugin.
2. Download the Wetu Content Importer plugin and upload it to your `/wp-content/plugins/` directory, or install via the WordPress plugin repository.
3. Activate the plugin through the 'Plugins' menu in WordPress.
4. Configure your Wetu API settings under **Wetu Importer** in the WordPress admin panel.
5. Run the importer to fetch and display Wetu content within the LSX Tour Operator format.

## Frequently Asked Questions

**Do I need the LSX Tour Operator plugin?**  
Yes. This plugin extends the LSX Tour Operator functionality, ensuring that imported Wetu data is properly structured and displayed.

**Is there a minimum PHP version required?**  
Yes, we require PHP 8.0 or newer. Running older PHP versions may result in errors or incompatibility.

**How are large imports handled?**  
The plugin utilizes background processes to manage large-scale imports efficiently, avoiding timeouts and ensuring a smoother experience.

## Changelog

See the [Changelog](#changelog) section below or the `CHANGELOG.md` file for a detailed history of updates.

## Contributing

Contributions are welcome! Feel free to open issues or submit pull requests. Please follow the [WordPress Coding Standards](https://developer.wordpress.org/coding-standards/wordpress-coding-standards/) when submitting changes.

## License

Licensed under the [GPLv3 or later](https://www.gnu.org/licenses/gpl-3.0.html).

## Author

**LightSpeed**  
[https://lightspeedwp.agency/](https://lightspeedwp.agency/)  
[https://lsx.design/](https://lsx.design/)

---
<p align="center">
  <a href="https://www.lsdev.biz/contact/"><img src="https://www.lsdev.biz/wp-content/uploads/2020/02/work-with-lightspeed.png" width="850" alt="Work with us at LightSpeed"></a>
</p>
<p align="center">
  Copyright © 2020 LightSpeed WordPress Development. All Rights Reserved.
</p>
<p align="center">
  <a href="https://www.lsdev.biz">LightSpeed's Company Website</a> &nbsp;&middot;&nbsp;
  <a href="https://www.lsdev.biz/lsx/">LSX Product Website</a>
</p>
<p align="center">
  <a href="https://github.com/lightspeeddevelopment">GitHub</a> &nbsp;&middot;&nbsp;
  <a href="https://facebook.com/lightspeedwordpressdevelopment">Facebook</a> &nbsp;&middot;&nbsp;
  <a href="https://twitter.com/lightspeedwp">Twitter</a>
</p>
